Package org.kapott.hbci.sepa.jaxb.camt_052_001_04

# Class ProprietaryAgent3

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_04.ProprietaryAgent3

public class ProprietaryAgent3 extends Object

Java class for ProprietaryAgent3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProprietaryAgent3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}Max35Text"/>
             <element name="Agt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.04}BranchAndFinancialInstitutionIdentification5"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BranchAndFinancialInstitutionIdentification5`
`agt`
`protected String`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`ProprietaryAgent3()`

## Method Summary

Modifier and Type
Method
Description
`BranchAndFinancialInstitutionIdentification5`
`getAgt()`
Gets the value of the agt property.
`String`
`getTp()`
Gets the value of the tp property.
`void`
`setAgt(BranchAndFinancialInstitutionIdentification5 value)`
Sets the value of the agt property.
`void`
`setTp(String value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected String tp

### agt

protected BranchAndFinancialInstitutionIdentification5 agt

## Constructor Details

### ProprietaryAgent3

public ProprietaryAgent3()

## Method Details

### getTp

public String getTp()
Gets the value of the tp property.

Returns:
  possible object is `String`

### setTp

public void setTp(String value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `String`

### getAgt

public BranchAndFinancialInstitutionIdentification5 getAgt()
Gets the value of the agt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification5`

### setAgt

public void setAgt(BranchAndFinancialInstitutionIdentification5 value)
Sets the value of the agt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification5`